<!-- Section Params -->
{{ $class := .Get "class" }}
{{ $id := .Get "id" | default "sponsors" }}
{{ $title := .Get "title" | default "Sponsors" }}
<!-- Event Params -->
{{ $display_sponsors := .Get "display_sponsors" | default "false" }}
{{ $currLang := .Page.Lang }}
{{ $event := .Get "event" | default "default" }}
{{ $year := .Get "year" }}
{{ if $year }}
    {{ .Scratch.Set "base" (index (index .Site.Data $currLang) $year) }}
{{ else }}
    {{ .Scratch.Set "base" (index .Site.Data $currLang) }}
{{ end }}
{{ $base := .Scratch.Get "base" }}
{{ $event := .Get "event" | default "default" }}
{{ $sponsors_source := .Get "sponsors_source" | default "sponsors" }}
{{ $members_source := .Get "members_source" | default "members" }}
{{ $members_data := (index (index $base $event) $members_source) }}

{{/* Selects partial to be used for given year */}}
{{ $members_list_partials := dict "default" "theiacon/members_list.html" "2021" "theiacon/members_list_2021.html" }}
{{ $partial_name := (index $members_list_partials $year) | default $members_list_partials.default }}

<div id="{{ $id }}" class="members-section {{ $class }}">
    <h2>{{ $title }}</h2>
    <div class="members-section-content container">
        {{ if eq $display_sponsors "true" }}
            {{ $sponsors_data := (index (index $base $event) $sponsors_source) }}
            <div class="members-section-sponsors padding-bottom-40">
                <p>{{ $sponsors_data.text }}</p>
                <ul class="sponsors-list list-inline">
                    {{ range $sponsors_data.sponsors }}
                        <li class="sponsors-image-wrapper margin-10">
                            <img src="{{ .image | absURL }}" alt="{{ .title }}" />
                        </li>
                    {{ end }}
                </ul>
            </div>   
        {{ end }}  

        {{ if $members_data }}
          {{ partial $partial_name ( dict "data" $members_data ) }}        
        {{ end }}
    </div>
</div>
